;--
;-- AutoIt v.3 script
;-- http://www.autoitscript.com/autoit3/
;--

global $srcfn, $dstfn, $outfn, $path = "C:\"
global $srcf, $dstf, $outf, $line, $i
global $lineArr[1]

func getfname($message)
;-- uses and affects global variable "$path"
  local $s, $klop
  $s = FileOpenDialog($message, $path, "   (*.cts)", 1 )
  If @error Then
    MsgBox(0,"","   !")
    exit
  Else
    if StringRight($s, 4) = ".lnk" then
      MsgBox(0,"","  !")
      exit
    else
      $klop = StringSplit($s, "\")
      $path = StringLeft($s, StringLen($s) - StringLen($klop[$klop[0]]))
    endif
  EndIf
  return $s
endFunc

;-- Here the script starts

$srcfn = getfname("  ' ':")

$srcf = FileOpen($srcfn, 0)
If $srcf = -1 Then
  MsgBox(0, "", " " & $srcfn & "  !")
  Exit
EndIf

While 1
  $line = FileReadLine($srcf)
  If @error = -1 Then
    MsgBox(0,""," " & $srcfn & " !")
    exit
  endif
  if $line = "[CONTROL POINTS]" then exitloop
Wend

While 1
  $line = FileReadLine($srcf)
  If @error = -1 Then
    MsgBox(0,""," " & $srcfn & " !")
    exit
  endif
  if $line = "" then
    redim $lineArr[ubound($lineArr) - 1]
    exitloop
  endif
  $line = StringSplit($line, " ")
  $lineArr[ubound($lineArr) - 1] = $line[1] & " " & $line[2]
  ReDim $lineArr[ubound($lineArr) + 1]
Wend

FileClose($srcf)

$dstfn = getfname("  ' ':")

$dstf = FileOpen($dstfn, 0)
If $dstf = -1 Then
  MsgBox(0, "", " " & $dstfn & "  !")
  Exit
EndIf

$outfn = FileSaveDialog ("  :", $path, "   (*.cts)", 16, "resultat.cts" )

$outf = FileOpen($outfn, 2)
If $outf = -1 Then
  MsgBox(0, "", " " & $outfn & "    !")
  Exit
EndIf

While 1
  $line = FileReadLine($dstf)
  If @error = -1 Then
    MsgBox(0,""," " & $dstfn & " !")
    exit
  endif
  fileWriteLine ($outf, $line)
  if $line = "[CONTROL POINTS]" then exitloop
Wend

for $i = 0 to ubound($lineArr) - 1
  $line = FileReadLine($dstf)
  If @error = -1 Then
    MsgBox(0,""," " & $dstfn & " !")
    exit
  endif
  if $line = "" then
    MsgBox(0,""," " & $dstfn & "        " & $srcfn & " ,       !")
    exit
  endif
  $line = StringSplit($line, " ")
  fileWriteLine ($outf, $lineArr[$i] & " " & $line[3] & " " & $line[4])
next

$line = FileReadLine($dstf)
If @error = -1 Then
  MsgBox(0,""," " & $dstfn & " !")
  exit
endif
if $line <> "" then
  MsgBox(0,""," " & $dstfn & "        " & $srcfn & " ,       !")
  exit
endif
fileWriteLine ($outf, $line)

While 1
  $line = FileReadLine($dstf)
  If @error = -1 Then
    MsgBox(0,""," " & $dstfn & " !")
    exit
  endif
  fileWriteLine ($outf, $line)
  if $line = "[LAYERS]" then exitloop
Wend

fileWriteLine ($outf, "'Ѩ  ,    {}!' +")
fileWriteLine ($outf, "")

While 1
  $line = FileReadLine($dstf)
  If @error = -1 Then
    MsgBox(0,""," " & $dstfn & " !")
    exit
  endif
  if $line = "[FEATURE TYPES]" then
    fileWriteLine ($outf, $line)
    exitloop
  endif
Wend

fileWriteLine ($outf, "'Ѩ  ,    {}!' 'Ѩ  !' +")

While 1
  $line = FileReadLine($dstf)
  If @error = -1 Then
    MsgBox(0,""," " & $dstfn & " !")
    exit
  endif
  if $line = "" then
    fileWriteLine ($outf, $line)
    exitloop
  endif
Wend

While 1
  $line = FileReadLine($dstf)
  If @error = -1 Then
    FileClose($outf)
    FileClose($dstf)
    exit
  endif
  fileWriteLine ($outf, $line)
Wend

